omv-release-upgrade failed (apt-get update failed, too)

    • CarfRip wrote:

      he repository 'file:/var/cache/openmediavault/archives Release' does not have a Release file.
      Try (as root):

      echo "deb [trusted=yes] file:/var/cache/openmediavault/archives /" > /etc/apt/sources.list.d/openmediavault-local.list
      apt-get update

      Then post the output of:

      apt-cache policy proftpd-basic
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • On 4 systems using omv,

      omv 3.0.99 -> 4.1 => 1 update/without issue, except errors in web interface, during a update check in update management section, fixed with a single reboot.

      1 update with issues, fixed with changing sources.list (i copy the us repositories instead of fr, seen in openmediavault documentation)

      1 update crashed omv. Web interface displayed All updates as it was a new 3.0. As i use a logical volume managed with an raid card, i get out my ssd, plugged it into my pc, deleted partition, and plugged it back into my nas, and re install from scratch, with bootable USB stick and omv 4.x

      1 kept in 3.0.99, and i think, reinstall omv4 on a clean ssd.

      Why?

      I only used omv extras, backup (what for?), and hpraid plugin.

      Before upgrade, i tried to uninstall all these 3 plug-ins. Not sure that omv propose an easy way to do that. I always had some messages rpc... because plug-ins were uninstalled but in menu, lines were displayed yet.

      That s all.

      So, in my 4 cases, same installations, different situations.

      As I said previously, my raid arrays are not managed by omv, I prefer installing new omv4 on clean drive than upgrading, because Debian dist upgrade, omv engine upgrade, update,... a lot of potential issues. And i didn't understand error messages without asking here. My english is not good too.

      Thanks for your help
    • Genna wrote:

      I only used omv extras, backup (what for?), and hpraid plugin.

      Before upgrade, i tried to uninstall all these 3 plug-ins.
      You only needed to uninstall the hpraid plugin since it doesn't exist on OMV 4.x.

      Genna wrote:

      Not sure that omv propose an easy way to do that.
      There is an uninstall button in the Plugin tab. Select the plugin(s) and click it is all that is required.

      Genna wrote:

      I always had some messages rpc... because plug-ins were uninstalled but in menu, lines were displayed yet.
      Clear your browser cache. Problem #1 - forum.openmediavault.org/index…tions-to-common-problems/

      Genna wrote:

      I prefer installing new omv4 on clean drive than upgrading, because Debian dist upgrade, omv engine upgrade, update,... a lot of potential issues
      While the OMV 2.x -> 3.x upgrade was a challenge because it added the change from sysvinit to systemd, the OMV 3.x -> 4.x upgrade is much better in most cases.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • thanks again and always, Aaron, as your answers are limpid.
      About hpraid yes, uninstalled like you said to me few weeks or months ago.
      I really don't know what was wrong.
      But now, i know how to and what to do if it crash, I will upgrade my last one with upgrade command.
      Thanks a lot, Aaron , again

      The post was edited 1 time, last by Genna ().

    • CarfRip wrote:

      1.3.5b-4 500
      Did the apt-get update finish with no errors?
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • CarfRip wrote:

      Yes sir, no errors
      Still not sure why but you can change the line from

      apt-get install proftpd-basic=1.3.5-1.1+deb8u2

      to

      apt-get install proftpd-basic=1.3.5b-4
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • New

      ryecoaaron wrote:

      Genna wrote:

      I only used omv extras, backup (what for?), and hpraid plugin.

      Before upgrade, i tried to uninstall all these 3 plug-ins.
      You only needed to uninstall the hpraid plugin since it doesn't exist on OMV 4.x.

      Genna wrote:

      Not sure that omv propose an easy way to do that.
      There is an uninstall button in the Plugin tab. Select the plugin(s) and click it is all that is required.

      Genna wrote:

      I always had some messages rpc... because plug-ins were uninstalled but in menu, lines were displayed yet.
      Clear your browser cache. Problem #1 - forum.openmediavault.org/index…tions-to-common-problems/

      Genna wrote:

      I prefer installing new omv4 on clean drive than upgrading, because Debian dist upgrade, omv engine upgrade, update,... a lot of potential issues
      While the OMV 2.x -> 3.x upgrade was a challenge because it added the change from sysvinit to systemd, the OMV 3.x -> 4.x upgrade is much better in most cases.
      Hi,

      my last OMV 3.0.99 system has been upgraded and updated without big issues or error messages.

      1st, yes, after upgrade or update, cleaning cache or changing internet browser was a good idea. For instance, OMV-Extra was displayed as OMV 3.xx version, just after a reboot, but in the same browser.

      2nd, after point 1, in fact, no more rpc error message.

      3d, upgrade than update, some reboots to be sure. All was good.

      My 4 systems are now based on OMV 4.1.22-1 and work great.

      PS: Always, same translation error into login page, size words too long for this small popup window. English choosen instead.

      Big Thanks to @ryecoaaron for his patience with me :)
    • Users Online 2

      2 Guests